"{ Package: 'stx:goodies/monticello' }"

"{ NameSpace: Smalltalk }"

Error subclass:#MCPermissionDenied
	instanceVariableNames:'repository'
	classVariableNames:''
	poolDictionaries:''
	category:'SCM-Monticello-RemoteRepositories'
!

MCPermissionDenied comment:'I am signalled when a repositroy cannot save or access a version.'
!


!MCPermissionDenied class methodsFor:'signalling'!

signalFor: aRepository
	^ self new
		repository: aRepository;
		signal
! !

!MCPermissionDenied methodsFor:'accessing'!

repository
	^ repository
!

repository: anObject
	repository := anObject
! !

!MCPermissionDenied class methodsFor:'documentation'!

version
    ^ '$Header$'
!

version_CVS
    ^ '$Header$'
! !

