"{ Package: 'stx:goodies/monticello' }"

"{ NameSpace: Smalltalk }"

Object subclass:#MCServerCredentials
	instanceVariableNames:'username password'
	classVariableNames:''
	poolDictionaries:''
	category:'SCM-Monticello-RemoteRepositories'
!

MCServerCredentials comment:'I store a username and password.
'
!


!MCServerCredentials class methodsFor:'instance creation'!

user: nameString password: passwordString

	^ self new
			username: nameString;
			password: passwordString;
			yourself.
! !

!MCServerCredentials methodsFor:'accessing'!

password

	^ password.
!

username

	^ username.
! !

!MCServerCredentials methodsFor:'private'!

password: aString 

	password := aString.
!

username: aString 

	username := aString.
! !

!MCServerCredentials class methodsFor:'documentation'!

version
    ^ '$Header$'
!

version_CVS
    ^ '$Header$'
! !

